> You are reading the Docusign Developer Documentation. For clean Markdown of any page, append .md to the page URL.
>
> Documentation indexes by section:
> - APIs and SDKs: https://docusign.docs.buildwithfern.com/docs/llms.txt
> - Platform 101: https://docusign.docs.buildwithfern.com/platform/llms.txt
> - Extension Apps: https://docusign.docs.buildwithfern.com/extension-apps/llms.txt
> - Docusign CLI: https://docusign.docs.buildwithfern.com/docusign-cli/llms.txt
>
> Authentication (OAuth, JWT Grant, M2M): https://docusign.docs.buildwithfern.com/platform/auth
> Webhooks and Connect: https://docusign.docs.buildwithfern.com/platform/webhooks
>
> OpenAPI specifications: https://docusign.docs.buildwithfern.com/openapi.json
> MCP server: https://docusign.docs.buildwithfern.com/_mcp/server

# List web form configurations

GET https://apps-d.docusign.com/api/webforms/v1.1/accounts/{accountId}/forms

The Web Forms API is available in all developer accounts, but only in certain production account plans. Contact
[Docusign Support](https://support.docusign.com/s/?language=en_US) or your account manager to find out whether the Web Forms API is available for your production account plan.

This method returns a list of web form configurations for a given account. Use the query parameters to sort and filter the response.

[Required authentication scopes](/docs/web-forms-api/plan-integration/authentication/): `signature`, `webforms_read`.

Reference: https://developers.docusign.com/docs/web-forms-api/reference/webforms/configurations/listforms

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://apps-d.docusign.com/api/webforms` (Demo, default)
- `https://apps.docusign.com/api/webforms` (Production)

## Request

### Path parameters

- `accountId` (string, required) — The ID of the account to which the web form belongs.

### Query parameters

- `user_filter` (enum, optional, default: all) — Set to `owned_by_me` to return only forms owned by the authenticated user. By default, all forms are returned.
  - Allowed values: `owned_by_me`, `all`, `shared_with_me`, `all`
- `is_standalone` (boolean, optional) — Set to `true` or `false` to filter by whether forms are [stand-alone (not tied to a template)](https://support.docusign.com/s/document-item?bundleId=yff1696971835267&topicId=gua1698120920620.html). By default, all forms are returned.
- `is_published` (boolean, optional) — When `true`, only published forms are returned. By default, published and unpublished forms are both returned.
- `sort_by` (string, optional) — Sorts the results. You can sort by the time that the web forms were created or last modified, in descending or ascending order. Valid values: * `lastModifiedDateTime:desc` (default) * `lastModifiedDateTime:asc` * `createdDateTime:desc` * `createdDateTime:asc`
- `search` (string, optional) — When set, filters results by whether each web form configuration contains the given text in its `formProperties.name` property.
- `start_position` (string, optional) — The zero-based index of the result from which to start returning results. Use with `count` to limit the number of results. The default value is 0.
- `count` (string, optional) — The maximum number of results to return. Use `start_position` to specify the number of results to skip.

## Response

### 200

A list of forms assigned to the account

- `items` (list of WebFormSummary, optional) — A list of objects describing individual web form configurations.
- `resultSetSize` (double, optional) — The number of web form configurations returned for the current page.
- `totalSetSize` (double, optional) — The total number of web form configurations.
- `startPosition` (double, optional) — The starting index position of the current result set.
- `endPosition` (double, optional) — The last index position in the result set.
- `nextUrl` (string, optional) — The URI for the next chunk of web form configurations. It is an empty string if this is the last set of results.
- `previousUrl` (string, optional) — The URI for the previous chunk of web form configurations. It is an empty string if this is the first set of results.

## Errors

### 401 Unauthorized Error

The authentication information is either missing or invalid

- `errorCode` (string, optional) — A code indicating what error occurred. Possible values: * 400: Bad request * 401: Authentication information is missing or invalid * 403: Requestor not authorized * 404: Resource not found * 500: Internal server error * 503: Service is temporarily unavailable
- `message` (string, optional) — A human-readable description of the error.

### 403 Forbidden Error

The requestor is not authorized

- `errorCode` (string, optional) — A code indicating what error occurred. Possible values: * 400: Bad request * 401: Authentication information is missing or invalid * 403: Requestor not authorized * 404: Resource not found * 500: Internal server error * 503: Service is temporarily unavailable
- `message` (string, optional) — A human-readable description of the error.

### 404 Not Found Error

The requested resource was not found

- `errorCode` (string, optional) — A code indicating what error occurred. Possible values: * 400: Bad request * 401: Authentication information is missing or invalid * 403: Requestor not authorized * 404: Resource not found * 500: Internal server error * 503: Service is temporarily unavailable
- `message` (string, optional) — A human-readable description of the error.

### 500 Internal Server Error

Internal server error

- `errorCode` (string, optional) — A code indicating what error occurred. Possible values: * 400: Bad request * 401: Authentication information is missing or invalid * 403: Requestor not authorized * 404: Resource not found * 500: Internal server error * 503: Service is temporarily unavailable
- `message` (string, optional) — A human-readable description of the error.

## Types

### WebFormSummary

An object summarizing a web form configuration.

- `id` (string, optional) — Unique identifier for a webform entity that is consistent for it's lifetime
- `accountId` (string, optional) — Account identifier in which the webform resides
- `isPublished` (boolean, optional) — Whether the form is published (`true` or `false`).
- `isEnabled` (boolean, optional) — When `true`, the web form configuration is activated. You can only create web form instances from enabled web forms.
- `isUploaded` (boolean, optional) — Indicates whether the form was created through an upload.
- `hasDraftChanges` (boolean, optional) — When `true`, the web form configuration has changes that are not yet published.
- `formState` (enum, optional) — The state of the form content
  - Allowed values: `active`, `draft`
- `formProperties` (WebFormProperties, optional) — Properties of the web form configuration that are consistent across versions.
- `formMetadata` (WebFormMetadata, optional) — Metadata for the web form.

### WebFormProperties

Properties of the web form configuration that are consistent across versions.

- `name` (string, optional) — User friendly Form name. This can be set via UI and/or API.
- `isPrivateAccess` (boolean, optional) — When a form is private, the Player will not be accessible via its URL unless a valid instance token is provided
- `allowSending` (boolean, optional) — When `true`, [remote web form instances](/docs/web-forms-api/plan-integration/deliver-remote-instances-to-users/) can be created from the web form configuration. Users access remote web form instances via an envelope email. When `false`, users can access web form instances only if the instances are embedded in a web application or if users are redirected from a web application to the Docusign platform. `allowSending` is `false` if any of the following is true: - The web form configuration is [standalone](/docs/web-forms-api/web-forms-101/instance-processing/#instance-processing-standalone-web-form-configurations) instead of [template-based](/docs/web-forms-api/web-forms-101/instance-processing/#instance-processing-template-based-web-form-configurations). - The web form configuration includes an attachment field. - The web form configuration was created using a release that did not support remote web form instances. See [Web form configuration support for remote web form instances](/docs/web-forms-api/plan-integration/retrieve-configuration-details/#web-form-configuration-support-for-remote-web-form-instances) for more information.

### WebFormMetadata

Metadata for the web form.

- `source` (enum, optional) — The source from which the webform is created.
  - Allowed values: `templates`, `blank`, `form`
- `type` (enum, optional) — Indicates whether the web form is standalone or attached to an eSignature template.
  - Allowed values: `standalone`, `hasEsignTemplate`
- `sourceFormId` (string, optional) — Unique identifier for a webform entity that is consistent for it's lifetime
- `owner` (WebFormUserInfo, optional) — A DocuSign user within the account associated with the form.
- `sender` (WebFormUserInfo, optional) — A DocuSign user within the account associated with the form.
- `lastModifiedBy` (WebFormUserInfo, optional) — A DocuSign user within the account associated with the form.
- `formContentModifiedBy` (WebFormUserInfo, optional) — A DocuSign user within the account associated with the form.
- `formPropertiesModifiedBy` (WebFormUserInfo, optional) — A DocuSign user within the account associated with the form.
- `lastPublishedBy` (WebFormUserInfo, optional) — A DocuSign user within the account associated with the form.
- `lastEnabledBy` (WebFormUserInfo, optional) — A DocuSign user within the account associated with the form.
- `lastDisabledBy` (WebFormUserInfo, optional) — A DocuSign user within the account associated with the form.
- `archivedDateTime` (datetime, optional) — The UTC DateTime when the web form was last archived.
- `createdDateTime` (datetime, optional) — The UTC DateTime when the web form was created.
- `lastModifiedDateTime` (datetime, optional) — The UTC DateTime when the web form was last modified.
- `formContentModifiedDateTime` (datetime, optional) — The UTC DateTime when the web form content was last modified.
- `formPropertiesModifiedDateTime` (datetime, optional) — The UTC DateTime when the web form properties were last changed.
- `lastPublishedDateTime` (datetime, optional) — The UTC DateTime when a draft version was last published to active.
- `lastEnabledDateTime` (datetime, optional) — The UTC DateTime when the form was last enabled.
- `lastDisabledDateTime` (datetime, optional) — The UTC DateTime when the form was last disabled.
- `lastSenderConsentDateTime` (datetime, optional) — The most recent UTC DateTime that a user added their consent to [become a sender](https://support.docusign.com/s/document-item?language=en_US&bundleId=gmi1660583110357&topicId=ngb1680555719338.html) for the form.
- `publishedSlug` (string, optional) — A string that identifies the web form when made public. This value is consistent throughout the lifetime of the web form.
- `publishedComponentNames` (map from string to enum, optional) — Dictionary containing mapping of componentName to ADM type for all the published components
  - Allowed values: `CheckboxGroup`, `Date`, `Email`, `Number`, `RadioButtonGroup`, `Select`, `TextBox`, `FileInput`

### WebFormUserInfo

A DocuSign user within the account associated with the form.

- `userId` (string, optional) — DocuSign user identifier
- `userName` (string, optional) — The user's name that will be displayed in the UI. The maximum length is 150 characters.

## Examples

**Response**

```json
{
  "items": [
    {
      "id": "00000000-0000-0000-0000-000000000000",
      "accountId": "00000000-0000-0000-0000-000000000000",
      "isPublished": true,
      "isEnabled": true,
      "isUploaded": true,
      "hasDraftChanges": true,
      "formState": "active",
      "formProperties": {
        "name": "Patient Intake Forms",
        "isPrivateAccess": true,
        "allowSending": true
      },
      "formMetadata": {
        "source": "templates",
        "owner": {
          "userId": "00000000-0000-0000-0000-000000000000",
          "userName": "DocuSign User"
        },
        "sender": {
          "userId": "00000000-0000-0000-0000-000000000000",
          "userName": "Sam Sender"
        },
        "formContentModifiedBy": {
          "userId": "00000000-0000-0000-0000-000000000000",
          "userName": "Mary Modifier"
        },
        "formPropertiesModifiedBy": {
          "userId": "00000000-0000-0000-0000-000000000000",
          "userName": "Fred Modifier"
        },
        "lastPublishedBy": {
          "userId": "00000000-0000-0000-0000-000000000000",
          "userName": "Pam Publisher"
        },
        "lastEnabledBy": {
          "userId": "00000000-0000-0000-0000-000000000000",
          "userName": "Everly Enabler"
        },
        "lastDisabledBy": {
          "userId": "00000000-0000-0000-0000-000000000000",
          "userName": "Dan Disabler"
        },
        "archivedDateTime": "2022-01-01T10:30:00Z",
        "createdDateTime": "2021-09-01T10:30:00Z",
        "lastModifiedDateTime": "2021-09-01T10:30:00Z",
        "formContentModifiedDateTime": "2021-09-01T10:30:00Z",
        "formPropertiesModifiedDateTime": "2021-09-01T10:30:00Z",
        "lastPublishedDateTime": "2021-09-01T10:30:00Z",
        "lastEnabledDateTime": "2021-09-01T10:30:00Z",
        "lastDisabledDateTime": "2021-09-01T10:30:00Z",
        "lastSenderConsentDateTime": "2021-09-01T10:30:00Z",
        "publishedSlug": "a535041793dd266079763bbf1c965292"
      }
    }
  ],
  "resultSetSize": 1,
  "totalSetSize": 1,
  "startPosition": 1,
  "endPosition": 1,
  "nextUrl": "string",
  "previousUrl": "string"
}
```